Loading...
Searching...
No Matches
gx_gui::UiDisplayWithCaption< T > Class Template Reference

`#include <gx_main_interface.h>`

Inheritance diagram for gx_gui::UiDisplayWithCaption< T >:

## Public Member Functions

| UiDisplayWithCaption ()
T * | get_regler ()
Public Member Functions inherited from gx_gui::CpBaseCaptionBoxed
| CpBaseCaptionBoxed ()
| ~CpBaseCaptionBoxed ()
void | init (Gxw::Regler &regler, bool show_value)
void | set_rack_label (const char *label)
void | set_rack_label_inverse (const char *label)

## Protected Attributes

T | regler
Protected Attributes inherited from gx_gui::CpBaseCaptionBoxed
CpBase | base
Gtk::HBox | h_box
Gtk::Label | m_label

## Detailed Description

template<class T>
class gx_gui::UiDisplayWithCaption< T >

Definition at line 144 of file gx_main_interface.h.

## Constructor & Destructor Documentation

## UiDisplayWithCaption()

template<class T>

gx_gui::UiDisplayWithCaption< T >::UiDisplayWithCaption | ( |  | ) |

inline

Definition at line 148 of file gx_main_interface.h.

## Member Function Documentation

## get_regler()

template<class T>

T * gx_gui::UiDisplayWithCaption< T >::get_regler | ( |  | ) |

inline

Definition at line 150 of file gx_main_interface.h.

## Member Data Documentation

## regler

template<class T>

T gx_gui::UiDisplayWithCaption< T >::regler

protected

Definition at line 146 of file gx_main_interface.h.

Referenced by get_regler(), and UiDisplayWithCaption().

The documentation for this class was generated from the following file:

- src/headers/gx_main_interface.h